// The implementation file for DDSModule.h
#include "DDSModule.h"
    
DDSModule::DDSModule(int dataClockPin) {
    PIN_DATA_CLOCK = dataClockPin;  
    pinMode(PIN_DATA_CLOCK, OUTPUT);    
    digitalWrite(PIN_DATA_CLOCK, LOW);
    _controlByte = 0;
}

int DDSModule::GetClockPin() {
  return  PIN_DATA_CLOCK;
}

void DDSModule::SetStartAtSin(bool sinOrNot) {
  if (sinOrNot) {
    _controlByte |= 0x0040; //B00000000 0100 0000; 
  } else {
    _controlByte &= 0xFFBF; //B11111111 1011 1111;
  }
}

unsigned int DDSModule::GetControlByte() {
  return _controlByte;
}
